<?xml version='1.0' encoding='UTF-8' ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">

    <h:head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <h:outputStylesheet library="css" name="bootstrap.min.css"/>
        <h:outputScript library="js" name="bootstrap.min.js"/>
        <link href="resources/css/estilomenu.css" rel="stylesheet"/>
        <title>
            <ui:insert name="title">Titulo</ui:insert>
        </title>
    </h:head>

    <h:body>
        
        <h:panelGroup class="bg-secondary d-block">
            <p:outputLabel class="text-white m-3 fs-3">
                <ui:insert name="tituloRegistro"></ui:insert>
            </p:outputLabel>
        </h:panelGroup>
        
        <h:panelGroup class="d-block m-3 shadow rounded">
            <h:form class="m-0" id="frmRegistro">
                <h:panelGroup class="d-block bg-dark p-3 rounded-top">
                    <p:outputLabel class="text-white fs-4" value="Nuevo"/>
                </h:panelGroup>

                <h:panelGroup class="d-block bg-light p-3">
                    <ui:insert name="registro"></ui:insert>
                </h:panelGroup>
            </h:form>
            
            <h:form class="m-0" id="frmConsultar">
                <h:panelGroup class="d-block bg-dark p-3">
                    <p:outputLabel class="text-white fs-4" value="Tabla"/>
                </h:panelGroup>

                <h:panelGroup class="d-block bg-light p-3 rounded-bottom">
                    <ui:insert name="tabla"></ui:insert>
                </h:panelGroup>
            </h:form>
        </h:panelGroup>
        
        <ui:insert name="dlg"></ui:insert>
        
    </h:body>

</html>
